Constructor Method Depricated Error

I've just installed Wiki Pro Version 1.2.5.1 onto a new development site and it's throwing a bunch of errors in the admin regarding the constructor method for WP_Widget:

Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /srv/www/layman/htdocs/wp-includes/functions.php on line 3624